distance.hh File Reference
`#include <mia/core/iodata.hh>`
`#include <mia/3d/image.hh>`
Include dependency graph for 3d/distance.hh:

Go to the source code of this file.

## Data Structures

class | C3DDistance
| 3D distance transform for high resolution data More...

## Functions

C3DFImage EXPORT_3D | distance_transform (const C3DImage &f)

## Function Documentation

## distance_transform()

C3DFImage EXPORT_3D distance_transform | ( | const C3DImage & | f | ) |

This function evaluates the 3D distance transform of an input function. If the input function is given as raw data that is not the result of another call to this distance transform function, then one should call distance_transform_prepare to properly prepare the data for the distance transform.

Parameters

  f | squared values of the input function input

Returns
  the squared distance values for each grid point.

References EXPORT_3D.